---
title: "Get org general brand resource"
url: "https://docs.signnow.com/docs/organization-branding/operations/get-v2-organizations-organization_id-brands-brand_id-resources-general"
type: "endpoint"
section: "organization-branding"
slug: "organization-branding/operations/get-v2-organizations-organization_id-brands-brand_id-resources-general"
method: "GET"
path: "/v2/organizations/{organization_id}/brands/{brand_id}/resources/general"
operation_id: "get-v2-organizations-organization_id-brands-brand_id-resources-general"
authorization: "bearer"
---

# Get org general brand resource

`GET /v2/organizations/{organization_id}/brands/{brand_id}/resources/general`

This endpoint allows users to retrieve organization branding for a general resource.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `organization_id` | string | Yes | ID of the organization. Must match the pattern: [a-z0-9]{40}. |
| `brand_id` | string | Yes | ID of the brand. Must match the pattern: [a-z0-9]{40}. |

## Responses

### 200

Success

**Example** (`Example 1`)

```json
{
  "data": {
    "icons": {
      "color": "#546470",
      "border": "#ffffff",
      "background": "#ffffff",
      "hover-color": "#546470",
      "hover-border": "#f1f2f4",
      "hover-background": "#f1f2f4"
    },
    "texts": {
      "color": "#2f373e"
    },
    "header": {
      "background": "#ffffff"
    },
    "buttons": {
      "default": {
        "color": "#546470",
        "border": "#ffffff",
        "background": "#ffffff",
        "hover-color": "#546470",
        "active-color": "#546470",
        "hover-border": "#f1f2f4",
        "active-border": "#ffffff",
        "hover-background": "#f1f2f4",
        "active-background": "#ffffff"
      },
      "primary": {
        "color": "#ffffff",
        "border": "#0777cf",
        "background": "#0777cf",
        "hover-color": "#ffffff",
        "active-color": "#ffffff",
        "hover-border": "#348fd7",
        "active-border": "#003458",
        "hover-background": "#348fd7",
        "active-background": "#076dbd"
      },
      "dropdown": {
        "color": "#546470",
        "border": "#ffffff",
        "background": "#ffffff",
        "hover-color": "#546470",
        "active-color": "#546470",
        "hover-border": "#f1f2f4",
        "active-border": "#ffffff",
        "hover-background": "#f1f2f4",
        "active-background": "#ffffff"
      },
      "secondary": {
        "color": "#38424b",
        "border": "#e3e6e9",
        "background": "#e3e6e9",
        "hover-color": "#38424b",
        "active-color": "#38424b",
        "hover-border": "#f1f2f4",
        "active-border": "#d5dade",
        "hover-background": "#f1f2f4",
        "active-background": "#d5dade"
      }
    },
    "hyperlink": {
      "color": "#546470",
      "hover-color": "#667988",
      "active-color": "#4b5963"
    },
    "help-center": {
      "visibility": true
    },
    "consent-text": {
      "en": "{sender_email} has invited you to fill out and sign this in one place.",
      "es": "{sender_email} lo ha invitado a completar y firmar esto en un solo lugar.",
      "fr": "{sender_email} vous a invit\u00e9 \u00e0 remplir et signer ce document dans un endroit."
    },
    "main-background": "#efefef",
    "welcome-message": {
      "body-text": {
        "en": "{sender_email} has invited you to fill out and sign this in one place.",
        "es": "{sender_email} lo ha invitado a completar y firmar esto en un solo lugar.",
        "fr": "{sender_email} vous a invit\u00e9 \u00e0 remplir et signer ce document dans un endroit."
      },
      "visibility": true,
      "header-text": {
        "en": "Hi, {signer_email}",
        "es": "Hola, {signer_email}",
        "fr": "Bonjour, {signer_email}"
      }
    }
  }
}
```

### 400

Incorrect or missing token

**Example** (`Example 1`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

* The user is authorized with a token from an app they don’t own.
* The user is neither admin, nor moderator of the organization.
* The brand exists but it is not an organization brand.


**Example** (`Example 1`)

```json
{
  "code": 25006002,
  "message": "Insufficient organization rights."
}
```

**Example** (`Non-organization brand`)

```json
{
  "code": 25002030,
  "message": "No access to the brand."
}
```

**Example** (`User doesn't own the app`)

```json
{
  "code": 25002001,
  "message": "Brand action not allowed"
}
```

**Example** (`User not admin or moderator`)

```json
{
  "code": 25006002,
  "message": "Insufficient organization rights."
}
```

### 404

* The organization is not found.
* The brand is not found.
* `brand_id` cannot be null.
* General resource for this `brand_id` doesn't exist.

**Example** (`Example 1`)

```json
{
  "errors": [
    {
      "code": 25006001,
      "message": "Organization not found."
    }
  ]
}
```

**Example** (`Brand not found`)

```json
{
  "errors": [
    {
      "code": 25002016,
      "message": "Brand not found."
    }
  ]
}
```

**Example** (`brand_id is null`)

```json
{
  "404": "Unable to find a route to match the URI: /v2/organizations/3d73e416095d4734a0e0d8bce4bd33f7b44b7585/brands/resources/general"
}
```

**Example** (`Organization not found`)

```json
{
  "errors": [
    {
      "code": 25006001,
      "message": "Organization not found."
    }
  ]
}
```

**Example** (`General resource not found`)

```json
{
  "errors": [
    {
      "code": 25002036,
      "message": "Brand resource not found. Resource name: general."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/organizations/{organization_id}/brands/{brand_id}/resources/general" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/organization-branding/operations/get-v2-organizations-organization_id-brands-brand_id-resources-general*
